LP#1715503: update install & upgrade doc to require Pg 9.4